Subject: Re: Audit report - 01st of Feb 2022
From: Deeksha Dadu <[email-masked]>
To: "Pritish Nandi (LSM)" <[email-masked]>
Cc: "Pravesh Singh (LSM)" <[email-masked]>, Saurabh Dadu <[email-masked]>
Date: Thu, 3 Feb 2022 09:23:56 +0000

Great, however, for next few days, just keep Bharat on tickets only. Calls only and only if really urgent until we are very sure of his quality on calls, can't afford more complaints for US market for now.
________________________________
From: Pritish Nandi <[email-masked]>
Sent: Thursday, February 3, 2022 2:29 PM
To: Deeksha Dadu <[email-masked]>
Cc: Pravesh Singh (LSM) <[email-masked]>; Saurabh Dadu <[email-masked]>
Subject: Re: Audit report - 01st of Feb 2022

Hi Deeksha,

I have spoken to Bharat Bhattacharya and informed him about the night shift from Monday. I will send the revised roster for this week in the next 30 mins.

@Pravesh - Can you also check and update if Bharat Bhattacharya is able to take calls correctly and if his accent and understanding are okay. Can we put him in calls for the US shift if required?

Regards,
Pritish

________________________________
From: "deeksha" <[email-masked]>
To: "Pritish Nandi" <[email-masked]>, "Pravesh Singh" <[email-masked]>
Cc: "saurabh" <[email-masked]>
Sent: Thursday, February 3, 2022 2:16:14 PM
Subject: Re: Audit report - 01st of Feb 2022

@Pritish: As discussed, let's send Bharat Bhattacharya at night as well and let's see if that helps. Please re-evaluate and let me know if we will need more. I will get more aggressive with hiring.

@Pravesh: Please do me a favour and audit some of Rosette's calls. We got complaint from Sara about agents' accent and they not understanding English well. In all probability it was about Mudassir or Taha but I just want to eliminate the possibility of Rosette having the same issues. Please listen to some of her calls and share feedback on

  1.  Comprehension
  2.  Ability to understand and speak English (specially is she able to understand customers at once etc.)
  3.  Accent (are customers having issues understanding her)

Thank you

Kind regards,
Deeksha
________________________________
From: Pritish Nandi <[email-masked]>
Sent: Thursday, February 3, 2022 1:48 PM
To: Pravesh Singh (LSM) <[email-masked]>
Cc: Deeksha Dadu <[email-masked]>; Saurabh Dadu <[email-masked]>
Subject: Re: Audit report - 01st of Feb 2022

Hi Pravesh,

I did speak to her as well. And based on the productivity and all flow already escalated this to management.

We do have increased call flow and also the productivity is going over 100 which could be the reason the attention to detail is missing.

Regards,
Pritish

________________________________
From: "Pravesh Singh" <[email-masked]>
To: "Pritish Nandi" <[email-masked]>
Cc: "deeksha" <[email-masked]>, "saurabh" <[email-masked]>
Sent: Thursday, February 3, 2022 1:03:20 PM
Subject: Re: Audit report - 01st of Feb 2022

Hello Pritish,

I spoke to Rosette yesterday but didn't get a clear/satisfactory explanation on why the resolution was delayed. According to her, there are back-to-back calls in the US shift, have a higher queue, and we are unable to manage it. I was unable to check my pending queue due to this and it was left out in the pending queue.

She was demanding two more agents in the night shift.

Best regards,
Pravesh Singh
________________________________
From: "Pritish Nandi" <[email-masked]>
To: "deeksha" <[email-masked]>
Cc: "Pravesh Singh" <[email-masked]>, "saurabh" <[email-masked]>
Sent: Wednesday, February 2, 2022 5:14:12 PM
Subject: Re: Audit report - 01st of Feb 2022

Hi Deeksha,

For Ritesh - I have been speaking to him every alternate day. yesterday we had a serious discussion about his calls handing along with the tickets he was handling. He lacks attention to detail and most of the time does not know how
he made that mistake. He is hardworking and has promised me drastic improvement within this month. I did share an email after our discussion with him.

For Bharat - This guy does the things correctly for his major issue is documentation. He did make OB calls as checked-in Talkdesk however did not document it. I spoke to him today along with Pravesh on call, where he accepted the feedback and advised he will be more careful.

For Rosette and AJ - I will speak to them today.

Regards,
Pritish
________________________________
From: "deeksha" <[email-masked]>
To: "Pravesh Singh" <[email-masked]>
Cc: "Pritish Nandi" <[email-masked]>, "saurabh" <[email-masked]>
Sent: Wednesday, February 2, 2022 2:17:37 PM
Subject: Re: Audit report - 01st of Feb 2022

thanks, please leave a message for Rosette to get in touch with you along with this feedback. Thanks
________________________________
From: Pravesh Singh <[email-masked]>
Sent: Wednesday, February 2, 2022 1:57 PM
To: Deeksha Dadu <[email-masked]>
Cc: Pritish Nandi (LSM) <[email-masked]>; Saurabh Dadu <[email-masked]>
Subject: Re: Audit report - 01st of Feb 2022

Hello Mam,

I'm continuously working with Ritesh in the office and I have also started auditing his recent tickets every day to see if the shared feedback is being enforced. What I can see is that the quality is significantly improved.

I spoke to Bharat as well concerning the OB call issues and I have asked to put the manual notes in the ticket if you encounter any issues with the softphone and calling the customer is mandatory so it shouldn't be missed.

I was able to talk to AJ but he wasn't able to explain why this ticket was handled in this way. I've explained how to process/handle such tickets and he has assured me that this will not be repeated. Unfortunately, I wasn't able to talk to Rosette as she wasn't available/call but I will speak to her as soon as she is in the office.

Best regards,
Pravesh Singh

________________________________
From: "deeksha" <[email-masked]>
To: "Pravesh Singh" <[email-masked]>, "Pritish Nandi" <[email-masked]>
Cc: "saurabh" <[email-masked]>
Sent: Wednesday, February 2, 2022 1:39:46 PM
Subject: Re: Audit report - 01st of Feb 2022

Hi Pravesh/Pritish,

Ritesh's quality issues seem pretty serious to me. Do you think he should be taking calls or should even be on the account? I need candid feedback from both of you before I get a client complaint.

I am seeing too many notes for Bharat for OB call not attempted. Has anyone spoken to him and demanded explanation? This needs to be taken care of immediately. Let me know please.

Also, what about Rosette and AJ? Their explanation?

Regards,
Deeksha
________________________________
From: Pravesh Singh <[email-masked]>
Sent: Tuesday, February 1, 2022 9:16 PM
To: Pritish Nandi (LSM) <[email-masked]>
Cc: Deeksha Dadu <[email-masked]>; Saurabh Dadu <[email-masked]>
Subject: Audit report - 01st of Feb 2022

Hello Pritish,

Please find the audit report for today. I have also listened a few calls of Ritesh and added into the report.

ID      Subject Assignee        Comment
199957  GSP 500, PC, Cracked headband   AJ Hurry        Asked for the Invoice, this isn't a first case, Why user sends an email if he is on the support page/we can get the user's email? Agent kind of assured that we will replace it.
199395  GSP 370, PC, Dongle not working AJ Hurry        Product information: GSP 370, test with a Phone?? Probing questions: dongle being recognized (Windows), LED status??
199513  IMPACT DW Pro 2 HS, Gigaset CL660A Duo, Noise A side    Ismael Zakaria  Proposed solution added, didn't ask for the phone number, EPOS Support number not shared. Incorrect product type selected in the LHS field should've been clarified what settings needs to be checked.
199295  SDW 5064, Short Battery life    Ismael Zakaria  Case summary format not followed, EPOS Support number not shared. Fragment troubleshooting: Reset, FW version: should've shared the steps.
199583  ADAPT 560, PS4, Compatibility Guidance  Taha Amir       Case summary format not followed, EPOS Support number not shared.
199538  IMPACT MB Pro 1, PC, Product Information        Taha Amir       Incorrect product type selected in the LHS field, case summary format not followed. Issue understanding: didn't understand the issue and shared irrelevant details.
199034  D10 USB ML, PC, Headset not working     Grace Boussi    Phone number not added in the case summary, product model mismatch. Four consecutive OB calls within the 3 min?
199769  D 10 Phone, Alcatel-Lucent 8039s, No call control       Grace Boussi    Ok
199822  Adapt 360, PC, Poor audio A-side        Bharat Bhattacharya     Ok
199836  EPOS ADAPT 260, PC, Unable to set sidetone      Bharat Bhattacharya     OB call not attempted/notes missing. Environment details not added in the subject line and LHS field.
199159  ADAPT 260, Background Drumming Noise    Md. Modassir Hassan     Ok
198736  D10 USB ML, Teams, Cuts In and Out      Md. Modassir Hassan     Ok
199467  Adapt 660, PC, Music Keeps Pausing every 5 seconds      Rosette Modiri  Didn't confirm the FW version and probing questions missing. Should've confirmed the phone number.
198825  HD 450 BT, Want a refund        Rosette Modiri  IB call on 27th Jan, no email sent/OB call attempted. Next plan of action missing.
199785  GSX 300, Driver error   Bharat Bhushan  OB call not attempted/notes missing. Environment details not added in the subject line, issue type mismatch, and case summary format not followed.
199788  IMPACT SC 60, PC, Headset is not connecting     Ritesh Kumar    Call duration: 443 - Didn't transfer the call, attention to details (had to confirm email and phone number multiple times). Asked for the contact details before confirming the HS model or issue type.
197671  PC 8 USB, PC, No Sound B-Side   Ritesh Kumar    Call duration: 909 - Repeating the same thing what customer said give me a min, something is SLOW?? The incorrect name and issue type (subject line) was captured. Asked for the second phone number, confirming the details over and over again. Performed troubleshooting over the call. Attention to detail: very poor, Irrelevant details shared.

Link: https://1drv.ms/x/s!An5OGB1fQXMqhCdhXTYP-uF6pg9i?e=zlgvC4

Best regards,
Pravesh Singh